Wifi wpc54g


#1

bonjour a vous,
Je cherche à driver ma carte pcmcia wpc54g version 1.2 mais je ne trouve que des pilotes windoz.

Y’a t il une solution à part de changer de carte?

merci


#2

ta solution s’appelle ndiswrapper. ça va te permettre d’utiliser les drivers windoz sur ta distrib préférée.


#3

je l’ai deja installé mais c’est la suite que je ne connais pas


#4

Tu as tout ce qu’il te faut ici pour installer tes drivers de ta carte wifi avec ndiswrapper
ndiswrapper.sourceforge.net/medi … stallation

ps : Qu’est ce que ca a avoir avec un truc ou une astuce ??? :question: :question:


#5

Topic déplacé


#6

merci et désolé de mettre trompé


#7

En fait normalement tu as besoins de deux fichier :bcmwl5.sys et lsbcmnds.inf que tu recupère normelement sur le cd d’install de la carte.

Vu que ndiswrapper est deja installé tu fais

Pour charger le modules Puis

pour verifier si le driver est bien chargé
Puis enfin

Et normelement ta carte devrait tourner.


#8

dès que je fais : modprobe ndiswrapper
j’ai comme message d’erreur : FATAL: Module ndiswrapper not found.

alors que la commande : ndiswrapper -l
j’ai comme réponse :
Installed ndis drivers:
lsbcmnds driver present, hardware present

Q’est ce qui cloche?


#9

ca te donne quoi la commandelsmod | grep ndis


#10

rien, aucun message. Il devrai y avoir quoi?


#11

tu devrais avoir ca a peu pres

ash@seal:~/document$ lsmod | grep ndis ndiswrapper 149556 0 usbcore 107640 5 ehci_hcd,usbhid,uhci_hcd,ndiswrapper ash@seal:~/document$
Ce qui veux donc dire que ndiswrapper n’est pas installer correctement probleme de mise en place du module

Est ce que tu as les packages ndiswrapper-utils d’installer?
Regarde aussi au niveau du module prism54 j’ai eu des problemes avec il reste automatiquement lancé je suis obligé de le désactiver avant de lancer ndiswrapper


#12

dans synaptic ça me marque que c’est installé


#13

Si il est bien installé c’est que c’est au chargement du module que ca plante
ca donne quoi lsmod | grep prism


#14

toujours rien, je m’inquiete. est ce ma carte qui est incompatible?


#15

non je ne pense pas que ta carte soit incompatible. c’est juste le module qui ne se lance pas pour le moment ta carte n’a rien a voir la dedans encore

Que te donne dpkg -l | grep ndis

Je sais ca fait pas mal de commande tout ca mais c’est pour avoir une meilleure vu sur le probleme :d


#16

ça me donne ça :
debian:/home/dante# dpkg -l | grep ndis
ii ndiswrapper-modules-2.6.8-2-686 1.1-2 Ndiswrapper linux kernel module
ii ndiswrapper-utils 1.1-4 Userspace utilities for ndiswrapper


#17

tu as un noyau 2.6.8???

Essaye d’installer les sources du noyau ca pourrais aider


#18

2.6.12-1-686
j’ai installé la source


#19

tu as un module 2.6.8 pour un kernel 2.6.12 ca doit etre ca qui pose probleme maintenant que tu as la source d’installer essaye de recompiler le module, de le réinstaller et de le charger comme module donc pour ça tu détar les sources de ndiswrapper

cd /usr/src tar -xvjf ndiswrapper-source.tar.bz2 cd linux make-kpkg --append-to-version "custom-XXX" --initrd modules

les commandes sont de tetes pour plus de précision regarde
forum.debian-fr.org/viewtopic.ph … sc&start=0
et une fois ton module recompiler tu l’install

et apres


#20

je ne comprends pas la derniere ligne.
make-kpkg --append-to-version “custom-XXX” --initrd modules
en particulier entre les “”

merci de ton aide